VERSION 5.00
Object = "{3D09E003-D8FC-11D4-8E7E-000000000000}#1.2#0"; "FishFa50.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Pneumatic Robots : Tr"
   ClientHeight    =   5295
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7545
   Icon            =   "PneuTuer50.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5295
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin FishFace50.FishFace ft 
      Height          =   855
      Left            =   5880
      TabIndex        =   3
      Top             =   3240
      Width           =   1335
      _ExtentX        =   2355
      _ExtentY        =   1508
      AnalogScan      =   0   'False
      BreakingDistance=   6
      ControlInterval =   10
      LPTAnalog       =   0
      LPTIOADR        =   0
      LPTDelay        =   0
      PollInterval    =   10
      Slave           =   0   'False
      StopControlTime =   100
   End
   Begin VB.CommandButton cmdEnde 
      Caption         =   "ENDE"
      Height          =   375
      Left            =   5880
      TabIndex        =   1
      Top             =   4200
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4680
      Width           =   1335
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Zentriert
      Caption         =   "STARTen"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   480
      TabIndex        =   2
      Top             =   360
      Width           =   6615
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(PneuTuer.frm)                                   Ulrich Mller 22.12.99
'                                                         Procida 400NT    VB6.0
' Pneumatische Tr : VB6 Adaption des LLWin Programms PneuTuer.MDL
'                    der Pneumatic Robots
'
' Tr ffnet, wenn sie leicht angestoen wird (Taster 1 ffnet) und schliet,
' wenn die Lichtschranke anspricht.
' Der jeweilige Status wird auf der Form angezeigt (lblStatus)
'
' Nutzung FishFa50.OCX (siehe Projekt | Komponenten).
' ggf. den PortNamen in Form_Load anpassen (eingestellt : "COM1")
'
' ------------------------------------------------------------------------------

Option Explicit

' --- Modellkonstanten -----------------------

Const cvTuerAuf = 1, cvTuerZu = 2         ' --- MagnetVentile
Const ctTuerZu = 1                        ' --- Taster
Const cpLichtSchranke = 2                 ' --- Photowiderstand
Const clLichtSchranke = 3                 ' --- Lampe
Const cmKompressor = 4                    ' --- Motor


Private Sub Init()

' --- Initialisierung -----------

  lblStatus = "Init luft"
  ft.SetMotor clLichtSchranke, ftiEin          ' --- Lampe Lichtschranke ein
  ft.SetMotor cmKompressor, ftiEin             ' --- Kompressor ein
  ft.Pause 6000                          ' --- Warten, bis Druck aufgebaut
  
  ft.SetMotor cvTuerAuf, ftiAus                ' --- Tr schlieen
  ft.SetMotor cvTuerZu, ftiEin                 '     Schlieventil ein
  ft.WaitForInput ctTuerZu                     '     Warten auf Tr zu
  ft.SetMotor cvTuerZu, ftiAus                 ' --- Abschalten Schlieventil
    
End Sub

Private Sub TuerAuf()

' --- Tr ffnen --------

  ft.SetMotor cvTuerZu, ftiAus         ' --- Schlieventil aus
  ft.SetMotor cvTuerAuf, ftiEin        ' --- ffnerventil ein
  ft.Pause 500                         '     Warten auf ffnen
  ft.SetMotor cvTuerAuf, ftiAus        ' --- ffnerventil aus
                                       '     fehlt in der PneuTuer.MDL-Version
                                       '     deswegen Schlieen sehr zgerlich
End Sub

Private Sub TuerMain()

' --- Hauptprogramm, Schleife, die ber ft.NotHalt beendet wird (cmdAction) ---

  Init                                ' --- Auf Ausgangsstellung
  lblStatus = "Tr geschlossen"
  Do                                  ' --- Schleife bis NotHalt
    ft.WaitForInput ctTuerZu, False   '     Warten bis Tr etwas geffnet wird
    TuerAuf                           '     Tr ffnen
    lblStatus = "Tr geffnet"
    ft.WaitForInput cpLichtSchranke, False ' Schlieen, wenn Lichtschranke unter-
    lblStatus = "Tr schliet"        '      brochen
    TuerZu                            '      Tr schlieen
    lblStatus = "Tr geschlossen"
  Loop Until ft.NotHalt
  
End Sub



Private Sub TuerZu()

' --- Tr Schlieen ---

  ft.SetMotor cvTuerAuf, ftiAus        ' --- ffnerventil aus
  ft.SetMotor cvTuerZu, ftiEin         '     Schlieventil ein
  ft.WaitForInput ctTuerZu             '     Warten auf Schlieen
  ft.SetMotor cvTuerZu, ftiAus         ' --- Schlieventil aus
  
End Sub

Private Sub cmdAction_Click()

' --- Starten / Beenden der Trsteuerung ---

  If cmdAction.Caption = "START" Then       ' --- Start
    cmdEnde.Enabled = False                 '     um ein wildes Beenden des
    cmdAction.Caption = "HALT"              '     gesamten Programms zu verhindern
    ft.NotHalt = False                      ' --- Endesteuerung
    TuerMain                                ' --- TrSteuerung
  Else                                      ' --- Beenden
    ft.NotHalt = True                       '     Ende einleiten
  End If
                                            ' --- Ende
  ft.ClearMotors                            '     alle M-Ausgnge aus
  cmdEnde.Enabled = True                    '     ENDE wieder zulassen
  cmdAction.Caption = "START"               '     erneuten START zulassen
  lblStatus = "START/ENDE"
  cmdEnde.SetFocus
  
End Sub


Private Sub cmdEnde_Click()

  Unload Me
  
End Sub


Private Sub Form_Load()
    
' --- Programm Initialisierung ---

  If ft.OpenInterface("COM1") = ftiFehler Then  ' --- COM1 ggf. Anpassen --COM1 ---
    MsgBox "InterfaceProblem", vbExclamation + vbOKOnly, "PneuTuer"
    Unload Me
  End If
  
End Sub


Private Sub Form_Unload(Cancel As Integer)

' --- Aufrumen ---

  ft.CloseInterface
  
End Sub


